Ask Your Question
0

Keystonclient upgrade problems with babel

asked 2013-12-10 11:13:54 -0500

marcos-fermin-lobo gravatar image

Hi all,

I have a problem with keystoneclient upgrade from grizzly to havana. I made the upgrade

yum install -y http://repos.fedorapeople.org/repos/openstack/openstack-havana/epel-6/python-keystoneclient-0.4.1-3.el6.noarch.rpm (http://repos.fedorapeople.org/repos/o...)

And now, when I execute some keystone command, like: keystone user-list

The prompt raises this message:

/usr/lib/python2.6/site-packages/babel/__init__.py:33: UserWarning: Module backports was already imported from /usr/lib64/python2.6/site-packages/backports/__init__.pyc, but /usr/lib/python2.6/site-packages is being added to sys.pathfrom pkg_resources import get_distribution, ResolutionError

Any idea what is the problem?, Is this a bug?.

Thank you

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2013-12-12 15:31:59 -0500

marcos-fermin-lobo gravatar image

I think I found the solution here https://bugzilla.redhat.com/show_bug.cgi?id=1022686 (https://bugzilla.redhat.com/show_bug....) . The solution is upgrade the backport RPM from python-backports-1.0-3.el6.x86_64 to python-backports-1.0-4.el6.x86_64

yum install -y http://repos.fedorapeople.org/repos/openstack/openstack-havana/epel-6/python-backports-1.0-4.el6.x86_64.rpm (http://repos.fedorapeople.org/repos/o...)

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2013-12-10 11:13:54 -0500

Seen: 33 times

Last updated: Dec 12 '13